public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/xen-tools/
Date: Tue, 13 Dec 2016 15:09:22 +0000 (UTC)	[thread overview]
Message-ID: <1481641751.33d39173496f4f34f3330e617dfe217e43521770.dlan@gentoo> (raw)

commit:     33d39173496f4f34f3330e617dfe217e43521770
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 13 10:10:14 2016 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue Dec 13 15:09:11 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33d39173

app-emulation/xen-tools: security bump, fix XSA-200

Gentoo-Bug: 601248

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 app-emulation/xen-tools/Manifest                  |   1 +
 app-emulation/xen-tools/xen-tools-4.6.4-r4.ebuild | 461 ++++++++++++++++++++++
 app-emulation/xen-tools/xen-tools-4.7.1-r4.ebuild | 460 +++++++++++++++++++++
 3 files changed, 922 insertions(+)

diff --git a/app-emulation/xen-tools/Manifest b/app-emulation/xen-tools/Manifest
index 148c47c..56c2b08 100644
--- a/app-emulation/xen-tools/Manifest
+++ b/app-emulation/xen-tools/Manifest
@@ -11,3 +11,4 @@ DIST xen-gentoo-patches-8.tar.xz 24732 SHA256 6e114f3d3bde31f8595a51bd67fafdbb56
 DIST xen-ovmf-patches-2.tar.xz 4344 SHA256 495d61d718440057f8b0b54fb57061450dd764c6e87fe5f8bda1785bcddba770 SHA512 0bdc83029a01b613f5c1ca029bd45aebe211c332f09db91a0cc7d6b6f85a81dbbfdc20c62f0d20e973ee41b155a6551a4fad518cb792e1d508bf070e23d6a1d3 WHIRLPOOL 8346d68fa5d2a8e8a5c007b55e2b85cf48df045cc8c4818f09c756d28a52dd856671f37b4a53478e9b96ca9d2eca0c67fd15f009a94d1d2dfed8e83e596d9633
 DIST xen-security-patches-17.tar.xz 9908 SHA256 9fc679ddea420e3aeb2f7ba4bacbb4c192b6c15d5e62b40def16cdb9e376a032 SHA512 4a5375caf5b928662b10c31ef5af2f9bd092b512d6fb1a0292b0389d3c7f5b062f7ed1401b6c5dbeb83d20418fd025bbca43e76d42c739c5a2809c6cfb59db16 WHIRLPOOL fdda75869ece47a180fce27b3d060b2dfe06861958443c55fe8de31f7c673382c468eccda0c40c87953abae57e12b2c3979a84515fb66ba190b6f7cffe57eb2d
 DIST xen-security-patches-18.tar.xz 2544 SHA256 99d7e0762d221f064d08ff4ca875b2270330a3924d5537b58505e72f8be0de04 SHA512 d2192a1f31557953118ad14e2ed2158577de529ea2cef9f63438f3bf570d979cea8b2f0244d8517a161878c6d8036173715228049102a85571e8dbc758eef3b9 WHIRLPOOL e67f77756fefa64b05c2621ab2e4bffaa349b8f6f7af2d0d7cade0516961e6789b4f6c30536bf681a86acbe907dcf29a08b0b573843fe07bcd7aa678ee7312b0
+DIST xen-security-patches-19.tar.xz 3336 SHA256 497a01fbd20fa45df19b41d337be0a87f4808101ac33cc9649461726abf43720 SHA512 d8a4a8ceeab9e2efedf880e7a2007b312a7f528cdb8fb1f748096621bbdc447ff8ee09b8fbe1aae657ccd7b2557e436cf60f6e70dcaef65e8959204e91f3ec57 WHIRLPOOL 26473bc9d7c2648f78f1fbf722e1ebcf42983d9d0e04d40f66eaad73c5a7ec232a397392dd5f66adb1258c571238a8faf0497ceb468674b93f7f86b91539f9b9

diff --git a/app-emulation/xen-tools/xen-tools-4.6.4-r4.ebuild b/app-emulation/xen-tools/xen-tools-4.6.4-r4.ebuild
new file mode 100644
index 00000000..08b3f83
--- /dev/null
+++ b/app-emulation/xen-tools/xen-tools-4.6.4-r4.ebuild
@@ -0,0 +1,461 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE='ncurses,xml,threads'
+
+inherit eutils bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs versionator
+
+MY_PV=${PV/_/-}
+MAJOR_V="$(get_version_component_range 1-2)"
+
+if [[ $PV == *9999 ]]; then
+	inherit git-r3
+	KEYWORDS=""
+	REPO="xen.git"
+	EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
+	S="${WORKDIR}/${REPO}"
+else
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+	UPSTREAM_VER=0
+	SECURITY_VER=19
+	# xen-tools's gentoo patches tarball
+	GENTOO_VER=7
+	# xen-tools's gentoo patches version which apply to this specific ebuild
+	GENTOO_GPV=1
+	# xen-tools ovmf's patches
+	OVMF_VER=2
+
+	SEABIOS_VER=1.8.2
+	# OVMF upstream 52a99493cce88a9d4ec8a02d7f1bd1a1001ce60d
+	OVMF_PV=20151110
+
+	[[ -n ${UPSTREAM_VER} ]] && \
+		UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
+	[[ -n ${SECURITY_VER} ]] && \
+		SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz"
+	[[ -n ${GENTOO_VER} ]] && \
+		GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz"
+	[[ -n ${OVMF_VER} ]] && \
+		OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
+
+	SRC_URI="http://bits.xensource.com/oss-xen/release/${MY_PV}/xen-${MY_PV}.tar.gz
+	http://code.coreboot.org/p/seabios/downloads/get/seabios-${SEABIOS_VER}.tar.gz
+	https://dev.gentoo.org/~dlan/distfiles/seabios-${SEABIOS_VER}.tar.gz
+	ovmf? ( https://dev.gentoo.org/~dlan/distfiles/ovmf-${OVMF_PV}.tar.bz2
+		${OVMF_PATCHSET_URI} )
+	${UPSTREAM_PATCHSET_URI}
+	${SECURITY_PATCHSET_URI}
+	${GENTOO_PATCHSET_URI}"
+
+	S="${WORKDIR}/xen-${MY_PV}"
+fi
+
+DESCRIPTION="Xen tools including QEMU and xl"
+HOMEPAGE="http://xen.org/"
+DOCS=( README docs/README.xen-bugtool )
+
+LICENSE="GPL-2"
+SLOT="0/${MAJOR_V}"
+# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
+# >=dev-lang/ocaml-4 stable
+# Masked in profiles/eapi-5-files instead
+IUSE="api custom-cflags debug doc flask hvm +qemu ocaml ovmf +qemu-traditional +pam python pygrub screen sdl static-libs system-qemu system-seabios"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	pygrub? ( python )
+	ovmf? ( hvm )
+	^^ ( qemu system-qemu )"
+
+COMMON_DEPEND="
+	dev-libs/lzo:2
+	dev-libs/glib:2
+	dev-libs/yajl
+	dev-libs/libaio
+	dev-libs/libgcrypt:0
+	sys-libs/zlib
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-python/lxml[${PYTHON_USEDEP}]
+	x86? ( sys-devel/dev86
+		sys-power/iasl )
+	pam? ( dev-python/pypam[${PYTHON_USEDEP}] )
+	${PYTHON_DEPS}
+	api? ( dev-libs/libxml2
+		net-misc/curl )
+	ovmf? (
+		!arm? ( dev-lang/nasm )
+		$(python_gen_impl_dep sqlite)
+		)
+	!amd64? ( >=sys-apps/dtc-1.4.0 )
+	amd64? ( sys-devel/bin86
+		system-seabios? ( sys-firmware/seabios )
+		sys-firmware/ipxe
+		sys-devel/dev86
+		sys-power/iasl )
+	dev-lang/perl
+	app-misc/pax-utils
+	doc? (
+		app-doc/doxygen
+		dev-python/markdown[${PYTHON_USEDEP}]
+		dev-tex/latex2html[png,gif]
+		media-gfx/graphviz
+		dev-tex/xcolor
+		media-gfx/transfig
+		dev-texlive/texlive-latexextra
+		virtual/latex-base
+		dev-tex/latexmk
+		dev-texlive/texlive-latex
+		dev-texlive/texlive-pictures
+		dev-texlive/texlive-latexrecommended
+	)
+	hvm? ( x11-proto/xproto
+		!net-libs/libiscsi )
+	qemu? (
+		x11-libs/pixman
+		sdl? ( media-libs/libsdl[X] )
+	)
+	system-qemu? ( app-emulation/qemu[xen] )
+	ocaml? ( dev-ml/findlib
+		>=dev-lang/ocaml-4 )"
+
+RDEPEND="${COMMON_DEPEND}
+	sys-apps/iproute2[-minimal]
+	net-misc/bridge-utils
+	screen? (
+		app-misc/screen
+		app-admin/logrotate
+	)"
+
+# hvmloader is used to bootstrap a fully virtualized kernel
+# Approved by QA team in bug #144032
+QA_WX_LOAD="usr/lib/xen/boot/hvmloader
+	usr/share/qemu-xen/qemu/s390-ccw.img"
+
+RESTRICT="test"
+
+pkg_setup() {
+	python_setup
+	export "CONFIG_LOMOUNT=y"
+
+	#bug 522642, disable compile tools/tests
+	export "CONFIG_TESTS=n"
+
+	if has_version dev-libs/libgcrypt:0; then
+		export "CONFIG_GCRYPT=y"
+	fi
+
+	if [[ -z ${XEN_TARGET_ARCH} ]] ; then
+		if use x86 && use amd64; then
+			die "Confusion! Both x86 and amd64 are set in your use flags!"
+		elif use x86; then
+			export XEN_TARGET_ARCH="x86_32"
+		elif use amd64 ; then
+			export XEN_TARGET_ARCH="x86_64"
+		elif use arm; then
+			export XEN_TARGET_ARCH="arm32"
+		elif use arm64; then
+			export XEN_TARGET_ARCH="arm64"
+		else
+			die "Unsupported architecture!"
+		fi
+	fi
+}
+
+src_prepare() {
+	# Upstream's patchset
+	if [[ -n ${UPSTREAM_VER} ]]; then
+		einfo "Try to apply Xen Upstream patch set"
+		EPATCH_SUFFIX="patch" \
+		EPATCH_FORCE="yes" \
+		EPATCH_OPTS="-p1" \
+			epatch "${WORKDIR}"/patches-upstream
+	fi
+
+	# Security patchset
+	if [[ -n ${SECURITY_VER} ]]; then
+	einfo "Try to apply Xen Security patch set"
+		# apply main xen patches
+		# Two parallel systems, both work side by side
+		# Over time they may concdense into one. This will suffice for now
+		EPATCH_SUFFIX="patch"
+		EPATCH_FORCE="yes"
+
+		source "${WORKDIR}"/patches-security/${PV}.conf
+
+		for i in ${XEN_SECURITY_MAIN}; do
+			epatch "${WORKDIR}"/patches-security/xen/$i
+		done
+
+		# apply qemu-xen/upstream patches
+		pushd "${S}"/tools/qemu-xen/ > /dev/null
+		for i in ${XEN_SECURITY_QEMUU}; do
+			epatch "${WORKDIR}"/patches-security/qemuu/$i
+		done
+		popd > /dev/null
+
+		# apply qemu-traditional patches
+		pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
+		for i in ${XEN_SECURITY_QEMUT}; do
+			epatch "${WORKDIR}"/patches-security/qemut/$i
+		done
+		popd > /dev/null
+	fi
+
+	# move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
+	mv ../seabios-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
+	pushd tools/firmware/ > /dev/null
+	ln -s seabios-dir-remote seabios-dir || die
+	popd > /dev/null
+
+	# Gentoo's patchset
+	if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
+		einfo "Try to apply Gentoo specific patch set"
+		source "${FILESDIR}"/gentoo-patches.conf
+		_gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
+		for i in ${!_gpv}; do
+			EPATCH_SUFFIX="patch" \
+			EPATCH_FORCE="yes" \
+				epatch "${WORKDIR}"/patches-gentoo/$i
+		done
+	fi
+
+	# Ovmf's patchset
+	if use ovmf; then
+		if [[ -n ${OVMF_VER} ]];then
+			einfo "Try to apply Ovmf patch set"
+			pushd "${WORKDIR}"/ovmf-*/ > /dev/null
+			EPATCH_SUFFIX="patch" \
+			EPATCH_FORCE="yes" \
+			EPATCH_OPTS="-p1" \
+				epatch "${WORKDIR}"/patches-ovmf
+			popd > /dev/null
+		fi
+		mv ../ovmf-${OVMF_PV} tools/firmware/ovmf-dir-remote || die
+	fi
+
+	mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
+
+	# Fix texi2html build error with new texi2html, qemu.doc.html
+	sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
+
+	use api   || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
+	sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
+		 -i tools/firmware/Makefile || die
+
+	# Drop .config, fixes to gcc-4.6
+	sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't	drop"
+
+	# if the user *really* wants to use their own custom-cflags, let them
+	if use custom-cflags; then
+		einfo "User wants their own CFLAGS - removing defaults"
+
+		# try and remove all the default cflags
+		find "${S}" \( -name Makefile -o -name Rules.mk -o -name Config.mk \) \
+			-exec sed \
+				-e 's/CFLAGS\(.*\)=\(.*\)-O3\(.*\)/CFLAGS\1=\2\3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-march=i686\(.*\)/CFLAGS\1=\2\3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-fomit-frame-pointer\(.*\)/CFLAGS\1=\2\3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-g3*\s\(.*\)/CFLAGS\1=\2 \3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-O2\(.*\)/CFLAGS\1=\2\3/' \
+				-i {} + || die "failed to re-set custom-cflags"
+	else
+		unset CFLAGS
+		unset LDFLAGS
+		unset ASFLAGS
+		unset CPPFLAGS
+	fi
+
+	if ! use pygrub; then
+		sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
+	fi
+
+	if ! use python; then
+		sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
+	fi
+
+	if ! use hvm; then
+		sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
+	# Bug 351648
+	elif ! use x86 && ! has x86 $(get_all_abis); then
+		mkdir -p "${WORKDIR}"/extra-headers/gnu || die
+		touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
+		export CPATH="${WORKDIR}"/extra-headers
+	fi
+
+	if use qemu; then
+		if use sdl; then
+			sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
+				tools/Makefile || die
+		else
+			sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
+				tools/qemu-xen-traditional/xen-setup || die
+			sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
+				tools/Makefile || die
+		fi
+	else
+		# Don't bother with qemu, only needed for fully virtualised guests
+		sed -e "s:install-tools\: tools/qemu-xen-traditional-dir:install-tools\: :g" -i Makefile || die
+	fi
+
+	# Reset bash completion dir; Bug 472438
+	sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
+		-i Config.mk || die
+	sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
+
+	# xencommons, Bug #492332, sed lighter weight than patching
+	sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
+		-i tools/hotplug/Linux/init.d/xencommons.in || die
+
+	# respect multilib, usr/lib/libcacard.so.0.0.0
+	sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
+		-i tools/qemu-xen/configure || die
+
+	#bug 518136, don't build 32bit exactuable for nomultilib profile
+	if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
+		sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
+	fi
+
+	# use /var instead of /var/lib, consistat with previous ebuild
+	sed -i -e   "/XEN_LOCK_DIR=/s/\$localstatedir/\/var/g" \
+		m4/paths.m4 configure tools/configure || die
+	# use /run instead of /var/run
+	sed -i -e   "/XEN_RUN_DIR=/s/\$localstatedir//g" \
+		m4/paths.m4 configure tools/configure || die
+
+	# uncomment lines in xl.conf
+	sed -e 's:^#autoballoon=:autoballoon=:' \
+		-e 's:^#lockfile=:lockfile=:' \
+		-e 's:^#vif.default.script=:vif.default.script=:' \
+		-i tools/examples/xl.conf  || die
+
+	# Bug #575868 converted to a sed statement, typo of one char
+	sed -e "s:granter’s:granter's:" -i xen/include/public/grant_table.h || die
+
+	epatch_user
+}
+
+src_configure() {
+	local myconf="--prefix=${PREFIX}/usr \
+		--libdir=${PREFIX}/usr/$(get_libdir) \
+		--libexecdir=${PREFIX}/usr/libexec \
+		--disable-werror \
+		--disable-xen \
+		--enable-tools \
+		--enable-docs \
+		$(use_with system-qemu) \
+		$(use_enable pam) \
+		$(use_enable api xenapi) \
+		$(use_enable ovmf) \
+		$(use_enable ocaml ocamltools) \
+		--with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
+		"
+
+	use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
+	use qemu || myconf+=" --with-system-qemu"
+	use amd64 && myconf+=" $(use_enable qemu-traditional)"
+	econf ${myconf}
+}
+
+src_compile() {
+	export VARTEXFONTS="${T}/fonts"
+	local myopt
+	use debug && myopt="${myopt} debug=y"
+
+	if test-flag-CC -fno-strict-overflow; then
+		append-flags -fno-strict-overflow
+	fi
+
+	emake V=1 CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" -C tools ${myopt}
+
+	use doc && emake -C docs txt html
+	emake -C docs man-pages
+}
+
+src_install() {
+	# Override auto-detection in the build system, bug #382573
+	export INITD_DIR=/tmp/init.d
+	export CONFIG_LEAF_DIR=../tmp/default
+
+	# Let the build system compile installed Python modules.
+	local PYTHONDONTWRITEBYTECODE
+	export PYTHONDONTWRITEBYTECODE
+
+	emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
+		XEN_PYTHON_NATIVE_INSTALL=y install-tools
+
+	# Fix the remaining Python shebangs.
+	python_fix_shebang "${D}"
+
+	# Remove RedHat-specific stuff
+	rm -rf "${D}"tmp || die
+
+	if use doc; then
+		emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
+
+		dohtml -r docs/
+		docinto pdf
+		dodoc ${DOCS[@]}
+		[ -d "${D}"/usr/share/doc/xen ] && mv "${D}"/usr/share/doc/xen/* "${D}"/usr/share/doc/${PF}/html
+	fi
+
+	rm -rf "${D}"/usr/share/doc/xen/
+	doman docs/man?/*
+
+	newconfd "${FILESDIR}"/xendomains.confd xendomains
+	newconfd "${FILESDIR}"/xenstored.confd xenstored
+	newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
+	newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
+	newinitd "${FILESDIR}"/xenstored.initd xenstored
+	newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
+	newinitd "${FILESDIR}"/xencommons.initd xencommons
+	newconfd "${FILESDIR}"/xencommons.confd xencommons
+	newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
+	newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
+
+	if use screen; then
+		cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
+		cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
+		keepdir /var/log/xen-consoles
+	fi
+
+	# For -static-libs wrt Bug 384355
+	if ! use static-libs; then
+		rm -f "${D}"usr/$(get_libdir)/*.a "${D}"usr/$(get_libdir)/ocaml/*/*.a
+	fi
+
+	# for xendomains
+	keepdir /etc/xen/auto
+
+	# Remove files failing QA AFTER emake installs them, avoiding seeking absent files
+	find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
+		-o -name openbios-ppc -o -name palcode-clipper \) -delete || die
+}
+
+pkg_postinst() {
+	elog "Official Xen Guide and the offical wiki page:"
+	elog "https://wiki.gentoo.org/wiki/Xen"
+	elog "http://wiki.xen.org/wiki/Main_Page"
+	elog ""
+	elog "Recommended to utilise the xencommons script to config sytem At boot"
+	elog "Add by use of rc-update on completion of the install"
+
+	if ! use hvm; then
+		echo
+		elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
+		elog "support enable the hvm use flag."
+		elog "An x86 or amd64 system is required to build HVM support."
+	fi
+
+	if use qemu; then
+		elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
+		elog "build of qemu.  This allows for app-emulation/qemu to be emerged concurrently"
+		elog "with the qemu capable xen.  It is up to the user to distinguish between and utilise"
+		elog "the qemu-bridge-helper and the xen-bridge-helper.  File bugs of any issues that arise"
+	fi
+}

diff --git a/app-emulation/xen-tools/xen-tools-4.7.1-r4.ebuild b/app-emulation/xen-tools/xen-tools-4.7.1-r4.ebuild
new file mode 100644
index 00000000..3d1f09d
--- /dev/null
+++ b/app-emulation/xen-tools/xen-tools-4.7.1-r4.ebuild
@@ -0,0 +1,460 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE='ncurses,xml,threads'
+
+inherit eutils bash-completion-r1 flag-o-matic multilib python-single-r1 toolchain-funcs versionator
+
+MY_PV=${PV/_/-}
+MAJOR_V="$(get_version_component_range 1-2)"
+
+if [[ $PV == *9999 ]]; then
+	inherit git-r3
+	KEYWORDS=""
+	REPO="xen.git"
+	EGIT_REPO_URI="git://xenbits.xen.org/${REPO}"
+	S="${WORKDIR}/${REPO}"
+else
+	KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+	UPSTREAM_VER=0
+	SECURITY_VER=19
+	# xen-tools's gentoo patches tarball
+	GENTOO_VER=7
+	# xen-tools's gentoo patches version which apply to this specific ebuild
+	GENTOO_GPV=1
+	# xen-tools ovmf's patches
+	OVMF_VER=2
+
+	SEABIOS_VER=1.8.2
+	# OVMF upstream 52a99493cce88a9d4ec8a02d7f1bd1a1001ce60d
+	OVMF_PV=20151110
+
+	[[ -n ${UPSTREAM_VER} ]] && \
+		UPSTREAM_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${P/-tools/}-upstream-patches-${UPSTREAM_VER}.tar.xz"
+	[[ -n ${SECURITY_VER} ]] && \
+		SECURITY_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-security-patches-${SECURITY_VER}.tar.xz"
+	[[ -n ${GENTOO_VER} ]] && \
+		GENTOO_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-gentoo-patches-${GENTOO_VER}.tar.xz"
+	[[ -n ${OVMF_VER} ]] && \
+		OVMF_PATCHSET_URI="https://dev.gentoo.org/~dlan/distfiles/${PN/-tools}-ovmf-patches-${OVMF_VER}.tar.xz"
+
+	SRC_URI="http://bits.xensource.com/oss-xen/release/${MY_PV}/xen-${MY_PV}.tar.gz
+	http://code.coreboot.org/p/seabios/downloads/get/seabios-${SEABIOS_VER}.tar.gz
+	https://dev.gentoo.org/~dlan/distfiles/seabios-${SEABIOS_VER}.tar.gz
+	ovmf? ( https://dev.gentoo.org/~dlan/distfiles/ovmf-${OVMF_PV}.tar.bz2
+		${OVMF_PATCHSET_URI} )
+	${UPSTREAM_PATCHSET_URI}
+	${SECURITY_PATCHSET_URI}
+	${GENTOO_PATCHSET_URI}"
+
+	S="${WORKDIR}/xen-${MY_PV}"
+fi
+
+DESCRIPTION="Xen tools including QEMU and xl"
+HOMEPAGE="http://xen.org/"
+DOCS=( README docs/README.xen-bugtool )
+
+LICENSE="GPL-2"
+SLOT="0/${MAJOR_V}"
+# Inclusion of IUSE ocaml on stabalizing requires maintainer of ocaml to (get off his hands and) make
+# >=dev-lang/ocaml-4 stable
+# Masked in profiles/eapi-5-files instead
+IUSE="api custom-cflags debug doc flask hvm +qemu ocaml ovmf +qemu-traditional +pam python pygrub screen sdl static-libs system-qemu system-seabios"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}
+	pygrub? ( python )
+	ovmf? ( hvm )
+	^^ ( qemu system-qemu )"
+
+COMMON_DEPEND="
+	dev-libs/lzo:2
+	dev-libs/glib:2
+	dev-libs/yajl
+	dev-libs/libaio
+	dev-libs/libgcrypt:0
+	sys-libs/zlib
+"
+
+DEPEND="${COMMON_DEPEND}
+	dev-python/lxml[${PYTHON_USEDEP}]
+	x86? ( sys-devel/dev86
+		sys-power/iasl )
+	pam? ( dev-python/pypam[${PYTHON_USEDEP}] )
+	${PYTHON_DEPS}
+	api? ( dev-libs/libxml2
+		net-misc/curl )
+	ovmf? (
+		!arm? ( dev-lang/nasm )
+		$(python_gen_impl_dep sqlite)
+		)
+	!amd64? ( >=sys-apps/dtc-1.4.0 )
+	amd64? ( sys-devel/bin86
+		system-seabios? ( sys-firmware/seabios )
+		sys-firmware/ipxe
+		sys-devel/dev86
+		sys-power/iasl )
+	dev-lang/perl
+	app-misc/pax-utils
+	doc? (
+		app-doc/doxygen
+		dev-python/markdown[${PYTHON_USEDEP}]
+		dev-tex/latex2html[png,gif]
+		media-gfx/graphviz
+		dev-tex/xcolor
+		media-gfx/transfig
+		dev-texlive/texlive-latexextra
+		virtual/latex-base
+		dev-tex/latexmk
+		dev-texlive/texlive-latex
+		dev-texlive/texlive-pictures
+		dev-texlive/texlive-latexrecommended
+	)
+	hvm? ( x11-proto/xproto
+		!net-libs/libiscsi )
+	qemu? (
+		x11-libs/pixman
+		sdl? ( media-libs/libsdl[X] )
+	)
+	system-qemu? ( app-emulation/qemu[xen] )
+	ocaml? ( dev-ml/findlib
+		>=dev-lang/ocaml-4 )"
+
+RDEPEND="${COMMON_DEPEND}
+	sys-apps/iproute2[-minimal]
+	net-misc/bridge-utils
+	screen? (
+		app-misc/screen
+		app-admin/logrotate
+	)"
+
+# hvmloader is used to bootstrap a fully virtualized kernel
+# Approved by QA team in bug #144032
+QA_WX_LOAD="usr/lib/xen/boot/hvmloader
+	usr/share/qemu-xen/qemu/s390-ccw.img"
+
+RESTRICT="test"
+
+pkg_setup() {
+	python_setup
+	export "CONFIG_LOMOUNT=y"
+
+	#bug 522642, disable compile tools/tests
+	export "CONFIG_TESTS=n"
+
+	if has_version dev-libs/libgcrypt:0; then
+		export "CONFIG_GCRYPT=y"
+	fi
+
+	if [[ -z ${XEN_TARGET_ARCH} ]] ; then
+		if use x86 && use amd64; then
+			die "Confusion! Both x86 and amd64 are set in your use flags!"
+		elif use x86; then
+			export XEN_TARGET_ARCH="x86_32"
+		elif use amd64 ; then
+			export XEN_TARGET_ARCH="x86_64"
+		elif use arm; then
+			export XEN_TARGET_ARCH="arm32"
+		elif use arm64; then
+			export XEN_TARGET_ARCH="arm64"
+		else
+			die "Unsupported architecture!"
+		fi
+	fi
+}
+
+src_prepare() {
+	# Upstream's patchset
+	if [[ -n ${UPSTREAM_VER} ]]; then
+		einfo "Try to apply Xen Upstream patch set"
+		EPATCH_SUFFIX="patch" \
+		EPATCH_FORCE="yes" \
+		EPATCH_OPTS="-p1" \
+			epatch "${WORKDIR}"/patches-upstream
+	fi
+
+	# Security patchset
+	if [[ -n ${SECURITY_VER} ]]; then
+	einfo "Try to apply Xen Security patch set"
+		# apply main xen patches
+		# Two parallel systems, both work side by side
+		# Over time they may concdense into one. This will suffice for now
+		EPATCH_SUFFIX="patch"
+		EPATCH_FORCE="yes"
+
+		source "${WORKDIR}"/patches-security/${PV}.conf
+
+		for i in ${XEN_SECURITY_MAIN}; do
+			epatch "${WORKDIR}"/patches-security/xen/$i
+		done
+
+		# apply qemu-xen/upstream patches
+		pushd "${S}"/tools/qemu-xen/ > /dev/null
+		for i in ${XEN_SECURITY_QEMUU}; do
+			epatch "${WORKDIR}"/patches-security/qemuu/$i
+		done
+		popd > /dev/null
+
+		# apply qemu-traditional patches
+		pushd "${S}"/tools/qemu-xen-traditional/ > /dev/null
+		for i in ${XEN_SECURITY_QEMUT}; do
+			epatch "${WORKDIR}"/patches-security/qemut/$i
+		done
+		popd > /dev/null
+	fi
+
+	# move before Gentoo patch, one patch should apply to seabios, to fix gcc-4.5.x build err
+	mv ../seabios-${SEABIOS_VER} tools/firmware/seabios-dir-remote || die
+	pushd tools/firmware/ > /dev/null
+	ln -s seabios-dir-remote seabios-dir || die
+	popd > /dev/null
+
+	# Gentoo's patchset
+	if [[ -n ${GENTOO_VER} && -n ${GENTOO_GPV} ]]; then
+		einfo "Try to apply Gentoo specific patch set"
+		source "${FILESDIR}"/gentoo-patches.conf
+		_gpv=_gpv_${PN/-/_}_${PV//./}_${GENTOO_GPV}
+		for i in ${!_gpv}; do
+			EPATCH_SUFFIX="patch" \
+			EPATCH_FORCE="yes" \
+				epatch "${WORKDIR}"/patches-gentoo/$i
+		done
+	fi
+
+	# Ovmf's patchset
+	if use ovmf; then
+		if [[ -n ${OVMF_VER} ]];then
+			einfo "Try to apply Ovmf patch set"
+			pushd "${WORKDIR}"/ovmf-*/ > /dev/null
+			EPATCH_SUFFIX="patch" \
+			EPATCH_FORCE="yes" \
+			EPATCH_OPTS="-p1" \
+				epatch "${WORKDIR}"/patches-ovmf
+			popd > /dev/null
+		fi
+		mv ../ovmf-${OVMF_PV} tools/firmware/ovmf-dir-remote || die
+	fi
+
+	mv tools/qemu-xen/qemu-bridge-helper.c tools/qemu-xen/xen-bridge-helper.c || die
+
+	# Fix texi2html build error with new texi2html, qemu.doc.html
+	sed -i -e "/texi2html -monolithic/s/-number//" tools/qemu-xen-traditional/Makefile || die
+
+	use api   || sed -e "/SUBDIRS-\$(LIBXENAPI_BINDINGS) += libxen/d" -i tools/Makefile || die
+	sed -e 's:$(MAKE) PYTHON=$(PYTHON) subdirs-$@:LC_ALL=C "$(MAKE)" PYTHON=$(PYTHON) subdirs-$@:' \
+		 -i tools/firmware/Makefile || die
+
+	# Drop .config, fixes to gcc-4.6
+	sed -e '/-include $(XEN_ROOT)\/.config/d' -i Config.mk || die "Couldn't	drop"
+
+	# if the user *really* wants to use their own custom-cflags, let them
+	if use custom-cflags; then
+		einfo "User wants their own CFLAGS - removing defaults"
+
+		# try and remove all the default cflags
+		find "${S}" \( -name Makefile -o -name Rules.mk -o -name Config.mk \) \
+			-exec sed \
+				-e 's/CFLAGS\(.*\)=\(.*\)-O3\(.*\)/CFLAGS\1=\2\3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-march=i686\(.*\)/CFLAGS\1=\2\3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-fomit-frame-pointer\(.*\)/CFLAGS\1=\2\3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-g3*\s\(.*\)/CFLAGS\1=\2 \3/' \
+				-e 's/CFLAGS\(.*\)=\(.*\)-O2\(.*\)/CFLAGS\1=\2\3/' \
+				-i {} + || die "failed to re-set custom-cflags"
+	else
+		unset CFLAGS
+		unset LDFLAGS
+		unset ASFLAGS
+		unset CPPFLAGS
+	fi
+
+	if ! use pygrub; then
+		sed -e '/^SUBDIRS-y += pygrub/d' -i tools/Makefile || die
+	fi
+
+	if ! use python; then
+		sed -e '/^SUBDIRS-y += python$/d' -i tools/Makefile || die
+	fi
+
+	if ! use hvm; then
+		sed -e '/SUBDIRS-$(CONFIG_X86) += firmware/d' -i tools/Makefile || die
+	# Bug 351648
+	elif ! use x86 && ! has x86 $(get_all_abis); then
+		mkdir -p "${WORKDIR}"/extra-headers/gnu || die
+		touch "${WORKDIR}"/extra-headers/gnu/stubs-32.h || die
+		export CPATH="${WORKDIR}"/extra-headers
+	fi
+
+	if use qemu; then
+		if use sdl; then
+			sed -i -e "s:\$\$source/configure:\0 --enable-sdl:" \
+				tools/Makefile || die
+		else
+			sed -i -e "s:\${QEMU_ROOT\:\-\.}/configure:\0 --disable-sdl:" \
+				tools/qemu-xen-traditional/xen-setup || die
+			sed -i -e "s:\$\$source/configure:\0 --disable-sdl:" \
+				tools/Makefile || die
+		fi
+	else
+		# Don't bother with qemu, only needed for fully virtualised guests
+		sed -e "s:install-tools\: tools/qemu-xen-traditional-dir:install-tools\: :g" -i Makefile || die
+	fi
+
+	# Reset bash completion dir; Bug 472438
+	sed -e "s:^BASH_COMPLETION_DIR ?= \$(CONFIG_DIR)/bash_completion.d:BASH_COMPLETION_DIR ?= $(get_bashcompdir):" \
+		-i Config.mk || die
+	sed -i -e "/bash-completion/s/xl\.sh/xl/g" tools/libxl/Makefile || die
+
+	# xencommons, Bug #492332, sed lighter weight than patching
+	sed -e 's:\$QEMU_XEN -xen-domid:test -e "\$QEMU_XEN" \&\& &:' \
+		-i tools/hotplug/Linux/init.d/xencommons.in || die
+
+	# respect multilib, usr/lib/libcacard.so.0.0.0
+	sed -e "/^libdir=/s/\/lib/\/$(get_libdir)/" \
+		-i tools/qemu-xen/configure || die
+
+	#bug 518136, don't build 32bit exactuable for nomultilib profile
+	if [[ "${ARCH}" == 'amd64' ]] && ! has_multilib_profile; then
+		sed -i -e "/x86_emulator/d" tools/tests/Makefile || die
+	fi
+
+	# use /var instead of /var/lib, consistat with previous ebuild
+	sed -i -e   "/XEN_LOCK_DIR=/s/\$localstatedir/\/var/g" \
+		m4/paths.m4 configure tools/configure || die
+	# use /run instead of /var/run
+	sed -i -e   "/XEN_RUN_DIR=/s/\$localstatedir//g" \
+		m4/paths.m4 configure tools/configure || die
+
+	# uncomment lines in xl.conf
+	sed -e 's:^#autoballoon=:autoballoon=:' \
+		-e 's:^#lockfile=:lockfile=:' \
+		-e 's:^#vif.default.script=:vif.default.script=:' \
+		-i tools/examples/xl.conf  || die
+
+	# Bug #575868 converted to a sed statement, typo of one char
+	sed -e "s:granter’s:granter's:" -i xen/include/public/grant_table.h || die
+
+	epatch_user
+}
+
+src_configure() {
+	local myconf="--prefix=${PREFIX}/usr \
+		--libdir=${PREFIX}/usr/$(get_libdir) \
+		--libexecdir=${PREFIX}/usr/libexec \
+		--disable-werror \
+		--disable-xen \
+		--enable-tools \
+		--enable-docs \
+		$(use_enable pam) \
+		$(use_enable api xenapi) \
+		$(use_enable ovmf) \
+		$(use_enable ocaml ocamltools) \
+		--with-xenstored=$(usex ocaml 'oxenstored' 'xenstored') \
+		"
+
+	use system-seabios && myconf+=" --with-system-seabios=/usr/share/seabios/bios.bin"
+	use system-qemu && myconf+=" --with-system-qemu=/usr/bin/qemu-system-x86_64"
+	use amd64 && myconf+=" $(use_enable qemu-traditional)"
+	econf ${myconf}
+}
+
+src_compile() {
+	export VARTEXFONTS="${T}/fonts"
+	local myopt
+	use debug && myopt="${myopt} debug=y"
+
+	if test-flag-CC -fno-strict-overflow; then
+		append-flags -fno-strict-overflow
+	fi
+
+	emake V=1 CC="$(tc-getCC)" LD="$(tc-getLD)" AR="$(tc-getAR)" RANLIB="$(tc-getRANLIB)" -C tools ${myopt}
+
+	use doc && emake -C docs txt html
+	emake -C docs man-pages
+}
+
+src_install() {
+	# Override auto-detection in the build system, bug #382573
+	export INITD_DIR=/tmp/init.d
+	export CONFIG_LEAF_DIR=../tmp/default
+
+	# Let the build system compile installed Python modules.
+	local PYTHONDONTWRITEBYTECODE
+	export PYTHONDONTWRITEBYTECODE
+
+	emake DESTDIR="${ED}" DOCDIR="/usr/share/doc/${PF}" \
+		XEN_PYTHON_NATIVE_INSTALL=y install-tools
+
+	# Fix the remaining Python shebangs.
+	python_fix_shebang "${D}"
+
+	# Remove RedHat-specific stuff
+	rm -rf "${D}"tmp || die
+
+	if use doc; then
+		emake DESTDIR="${D}" DOCDIR="/usr/share/doc/${PF}" install-docs
+
+		dohtml -r docs/
+		docinto pdf
+		dodoc ${DOCS[@]}
+		[ -d "${D}"/usr/share/doc/xen ] && mv "${D}"/usr/share/doc/xen/* "${D}"/usr/share/doc/${PF}/html
+	fi
+
+	rm -rf "${D}"/usr/share/doc/xen/
+	doman docs/man?/*
+
+	newconfd "${FILESDIR}"/xendomains.confd xendomains
+	newconfd "${FILESDIR}"/xenstored.confd xenstored
+	newconfd "${FILESDIR}"/xenconsoled.confd xenconsoled
+	newinitd "${FILESDIR}"/xendomains.initd-r2 xendomains
+	newinitd "${FILESDIR}"/xenstored.initd xenstored
+	newinitd "${FILESDIR}"/xenconsoled.initd xenconsoled
+	newinitd "${FILESDIR}"/xencommons.initd xencommons
+	newconfd "${FILESDIR}"/xencommons.confd xencommons
+	newinitd "${FILESDIR}"/xenqemudev.initd xenqemudev
+	newconfd "${FILESDIR}"/xenqemudev.confd xenqemudev
+
+	if use screen; then
+		cat "${FILESDIR}"/xendomains-screen.confd >> "${D}"/etc/conf.d/xendomains || die
+		cp "${FILESDIR}"/xen-consoles.logrotate "${D}"/etc/xen/ || die
+		keepdir /var/log/xen-consoles
+	fi
+
+	# For -static-libs wrt Bug 384355
+	if ! use static-libs; then
+		rm -f "${D}"usr/$(get_libdir)/*.a "${D}"usr/$(get_libdir)/ocaml/*/*.a
+	fi
+
+	# for xendomains
+	keepdir /etc/xen/auto
+
+	# Remove files failing QA AFTER emake installs them, avoiding seeking absent files
+	find "${D}" \( -name openbios-sparc32 -o -name openbios-sparc64 \
+		-o -name openbios-ppc -o -name palcode-clipper \) -delete || die
+}
+
+pkg_postinst() {
+	elog "Official Xen Guide and the offical wiki page:"
+	elog "https://wiki.gentoo.org/wiki/Xen"
+	elog "http://wiki.xen.org/wiki/Main_Page"
+	elog ""
+	elog "Recommended to utilise the xencommons script to config sytem At boot"
+	elog "Add by use of rc-update on completion of the install"
+
+	if ! use hvm; then
+		echo
+		elog "HVM (VT-x and AMD-V) support has been disabled. If you need hvm"
+		elog "support enable the hvm use flag."
+		elog "An x86 or amd64 system is required to build HVM support."
+	fi
+
+	if use qemu; then
+		elog "The qemu-bridge-helper is renamed to the xen-bridge-helper in the in source"
+		elog "build of qemu.  This allows for app-emulation/qemu to be emerged concurrently"
+		elog "with the qemu capable xen.  It is up to the user to distinguish between and utilise"
+		elog "the qemu-bridge-helper and the xen-bridge-helper.  File bugs of any issues that arise"
+	fi
+}


             reply	other threads:[~2016-12-13 15:09 UTC|newest]

Thread overview: 285+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-12-13 15:09 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-02  8:02 [gentoo-commits] repo/gentoo:master commit in: app-emulation/xen-tools/ Florian Schmaus
2024-08-02  8:02 Florian Schmaus
2024-06-12 19:48 Sam James
2024-06-04 18:23 Arthur Zamarin
2024-05-29  8:32 Florian Schmaus
2024-05-29  8:32 Florian Schmaus
2024-04-11  3:38 Joonas Niilola
2024-04-11  3:35 Joonas Niilola
2024-04-10  6:43 Florian Schmaus
2024-04-10  6:43 Florian Schmaus
2024-04-06  6:05 Joonas Niilola
2024-04-06  5:58 Joonas Niilola
2024-04-05 15:59 Florian Schmaus
2024-04-05 15:59 Florian Schmaus
2024-03-28 17:18 Sam James
2024-03-28 16:44 Sam James
2024-03-28 11:21 Florian Schmaus
2024-03-28 11:21 Florian Schmaus
2024-01-13 20:46 Conrad Kostecki
2024-01-13 20:45 Sam James
2024-01-13 18:34 Sam James
2024-01-09  8:53 Florian Schmaus
2023-12-16  9:28 Joonas Niilola
2023-12-16  8:06 Joonas Niilola
2023-11-13  7:34 Sam James
2023-10-25 18:47 Florian Schmaus
2023-10-20 16:54 Sam James
2023-10-20 16:54 Sam James
2023-10-19  8:22 Florian Schmaus
2023-10-19  8:22 Florian Schmaus
2023-09-09 18:01 Arthur Zamarin
2023-09-05 10:01 Sam James
2023-09-05 10:01 Sam James
2023-09-03  9:40 Florian Schmaus
2023-09-03  9:40 Florian Schmaus
2023-06-08 22:35 Sam James
2023-05-16  9:30 Florian Schmaus
2023-05-16  7:33 Florian Schmaus
2023-05-01 17:14 Sam James
2023-04-19  6:07 Sam James
2023-04-17 20:13 Sam James
2023-04-17 20:13 Sam James
2023-04-17  8:32 Florian Schmaus
2023-04-17  8:32 Florian Schmaus
2023-02-11  2:36 Sam James
2023-02-04 22:50 Sam James
2023-01-25 16:24 Florian Schmaus
2023-01-25 16:24 Florian Schmaus
2022-12-17 16:55 Arthur Zamarin
2022-12-17 16:55 Arthur Zamarin
2022-12-16  4:30 Sam James
2022-12-07 17:05 Florian Schmaus
2022-11-09  9:37 Florian Schmaus
2022-11-09  9:37 Florian Schmaus
2022-10-26 14:27 John Helmert III
2022-10-25 17:55 Sam James
2022-10-19  9:16 Florian Schmaus
2022-10-19  8:51 Florian Schmaus
2022-09-05  7:09 Florian Schmaus
2022-09-03 13:09 Florian Schmaus
2022-09-02 13:46 Florian Schmaus
2022-09-02  9:41 Florian Schmaus
2022-07-16 11:15 Florian Schmaus
2022-07-14  8:36 Florian Schmaus
2022-07-13  7:31 Florian Schmaus
2022-07-13  7:08 Florian Schmaus
2022-07-12 19:48 Florian Schmaus
2022-07-11  7:10 Florian Schmaus
2022-07-11  6:47 Florian Schmaus
2022-07-11  6:45 Florian Schmaus
2022-07-10  6:17 Agostino Sarubbo
2022-07-07  6:56 Florian Schmaus
2022-07-06 18:55 Florian Schmaus
2022-07-05 16:25 Florian Schmaus
2022-07-05 16:23 Florian Schmaus
2022-05-08 12:03 Florian Schmaus
2022-05-06  9:51 Florian Schmaus
2022-05-04  2:48 Sam James
2022-05-04  0:16 Sam James
2022-05-03 18:42 Sam James
2022-05-03 18:41 Sam James
2022-05-03 18:41 Sam James
2022-04-22  7:05 Florian Schmaus
2022-04-18  9:20 Florian Schmaus
2022-04-18  9:20 Florian Schmaus
2022-04-18  9:20 Florian Schmaus
2022-04-17 22:16 Florian Schmaus
2022-04-17 22:16 Florian Schmaus
2022-04-17 22:16 Florian Schmaus
2022-04-17 14:04 Florian Schmaus
2022-04-14  5:54 Florian Schmaus
2022-04-14  5:54 Florian Schmaus
2022-02-18  3:06 Sam James
2022-01-09  1:10 Sam James
2022-01-08 18:03 Jakov Smolić
2021-10-21  4:20 Sam James
2021-10-20  9:59 Sam James
2021-10-20  9:59 Sam James
2021-09-22  6:58 Agostino Sarubbo
2021-09-21  6:35 Agostino Sarubbo
2021-06-12 14:00 Sam James
2021-06-12 14:00 Sam James
2021-06-11 12:53 Thomas Deutschmann
2021-06-11 12:53 Thomas Deutschmann
2021-06-11 12:53 Thomas Deutschmann
2021-05-13  0:34 Thomas Deutschmann
2021-05-11 20:13 Thomas Deutschmann
2021-04-18  1:44 Sam James
2021-04-18  1:41 Sam James
2021-03-30 13:03 Joonas Niilola
2021-03-22 15:33 Joonas Niilola
2021-01-17  4:10 Sam James
2020-12-21 18:26 Sam James
2020-12-21 17:48 Thomas Deutschmann
2020-12-20 19:21 Thomas Deutschmann
2020-11-27 16:55 Thomas Deutschmann
2020-11-18 17:34 Thomas Deutschmann
2020-11-12 16:06 Sam James
2020-11-12 14:03 Sam James
2020-11-11  0:47 Sam James
2020-11-10 18:48 Sam James
2020-10-09  8:31 Agostino Sarubbo
2020-09-29 20:01 Sam James
2020-09-18 15:05 Agostino Sarubbo
2020-09-15 17:22 Thomas Deutschmann
2020-09-12 18:39 Thomas Deutschmann
2020-07-26 16:22 Thomas Deutschmann
2020-07-17  7:44 Agostino Sarubbo
2020-07-17  7:21 Agostino Sarubbo
2020-07-09 13:47 Yixun Lan
2020-06-12  7:55 Agostino Sarubbo
2020-06-12  7:51 Agostino Sarubbo
2020-06-11  9:54 Yixun Lan
2020-04-30 14:46 Yixun Lan
2020-03-13 15:10 Yixun Lan
2020-03-12 16:26 Agostino Sarubbo
2020-03-12 16:21 Agostino Sarubbo
2020-03-01 23:59 Yixun Lan
2020-02-29 14:44 Mikle Kolyada
2020-02-09 16:11 Michał Górny
2019-12-15 13:43 Agostino Sarubbo
2019-12-13 14:37 Agostino Sarubbo
2019-11-04 11:51 Yixun Lan
2019-11-02  8:42 Agostino Sarubbo
2019-11-01 23:51 Thomas Deutschmann
2019-10-31 21:48 Thomas Deutschmann
2019-10-31 21:48 Thomas Deutschmann
2019-10-27  7:44 Yixun Lan
2019-10-24  3:07 Yixun Lan
2019-10-24  3:07 Yixun Lan
2019-10-23 12:45 Agostino Sarubbo
2019-10-23 12:30 Agostino Sarubbo
2019-08-11 14:44 David Seifert
2019-08-11 11:20 David Seifert
2019-07-08 12:10 Thomas Deutschmann
2019-07-07 21:15 Thomas Deutschmann
2019-06-20 18:04 Mikle Kolyada
2019-05-22  2:35 Yixun Lan
2019-05-17  8:48 Yixun Lan
2019-05-17  8:48 Yixun Lan
2019-04-17 13:10 Yixun Lan
2019-04-04  4:55 Yixun Lan
2019-04-03  7:07 Yixun Lan
2019-04-03  4:55 Yixun Lan
2019-03-27 23:44 Thomas Deutschmann
2019-03-17 23:03 Mikle Kolyada
2019-03-15 22:49 Thomas Deutschmann
2019-03-08 12:39 Mikle Kolyada
2019-03-07 13:35 Yixun Lan
2019-03-07 13:35 Yixun Lan
2019-03-07  6:00 Yixun Lan
2019-02-16 13:59 Yixun Lan
2019-01-19  3:22 Thomas Deutschmann
2018-11-21 22:55 Yixun Lan
2018-11-12  1:14 Thomas Deutschmann
2018-11-11 10:55 Mikle Kolyada
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-11-10 20:57 Thomas Deutschmann
2018-09-19 17:35 Thomas Deutschmann
2018-09-18  7:24 Agostino Sarubbo
2018-09-10 11:09 Thomas Deutschmann
2018-09-10 10:11 Thomas Deutschmann
2018-09-10  9:36 Thomas Deutschmann
2018-09-09 20:41 Thomas Deutschmann
2018-08-14  1:20 Yixun Lan
2018-07-17 11:07 Mikle Kolyada
2018-04-26 21:07 Mikle Kolyada
2018-04-23  4:43 Yixun Lan
2018-04-09  0:03 Aaron Bauman
2018-01-14 16:23 Thomas Deutschmann
2018-01-14 15:30 Agostino Sarubbo
2017-12-05  2:24 Yixun Lan
2017-11-08 13:38 Agostino Sarubbo
2017-11-03 18:05 Yixun Lan
2017-11-03 18:05 Yixun Lan
2017-11-03 10:08 Yixun Lan
2017-11-03 10:08 Yixun Lan
2017-11-02 21:16 Thomas Deutschmann
2017-10-17  7:24 Yixun Lan
2017-10-17  7:24 Yixun Lan
2017-10-17  7:24 Yixun Lan
2017-10-17  7:24 Yixun Lan
2017-10-13  8:05 Yixun Lan
2017-10-13  8:05 Yixun Lan
2017-07-31  9:01 Tobias Klausmann
2017-06-20 13:15 Alexis Ballier
2017-05-10 15:44 Agostino Sarubbo
2017-05-10  9:32 Agostino Sarubbo
2017-05-02  9:01 Yixun Lan
2017-05-02  9:01 Yixun Lan
2017-04-20  7:59 David Seifert
2017-02-24  9:35 Yixun Lan
2017-02-23 16:30 Agostino Sarubbo
2017-02-23 15:55 Agostino Sarubbo
2017-02-23  4:11 Yixun Lan
2017-02-23  4:11 Yixun Lan
2017-02-22  9:08 Yixun Lan
2017-02-16 18:35 Yixun Lan
2017-02-16 17:16 Agostino Sarubbo
2017-02-15  7:54 Yixun Lan
2016-12-28  9:06 Yixun Lan
2016-12-26 19:10 Thomas Deutschmann
2016-12-13 15:23 Yixun Lan
2016-12-13 15:23 Yixun Lan
2016-12-13 11:30 Agostino Sarubbo
2016-12-13 11:05 Agostino Sarubbo
2016-12-08  3:19 Yixun Lan
2016-12-07  1:45 Yixun Lan
2016-11-28  4:13 Yixun Lan
2016-11-26 10:44 Agostino Sarubbo
2016-11-26 10:36 Agostino Sarubbo
2016-11-22 14:52 Yixun Lan
2016-11-22 12:41 Yixun Lan
2016-11-04 10:15 Yixun Lan
2016-11-04  8:24 Agostino Sarubbo
2016-11-04  8:21 Agostino Sarubbo
2016-10-05  9:48 Yixun Lan
2016-07-28 16:50 Yixun Lan
2016-07-28 14:56 Agostino Sarubbo
2016-07-28 14:51 Agostino Sarubbo
2016-07-27 18:28 Yixun Lan
2016-06-07  5:47 Yixun Lan
2016-05-20  4:41 Ian Delaney
2016-05-15  3:13 Ian Delaney
2016-05-15  3:13 Ian Delaney
2016-04-23 10:05 Ian Delaney
2016-04-14 12:07 Ian Delaney
2016-03-15 13:39 Ian Delaney
2016-03-15  8:13 Agostino Sarubbo
2016-03-15  8:11 Agostino Sarubbo
2016-02-19 16:08 Ian Delaney
2016-02-19  1:28 Yixun Lan
2016-02-18 20:57 Jason Donenfeld
2016-02-18  3:17 Yixun Lan
2016-02-16 16:19 Doug Goldstein
2016-02-15 15:55 Doug Goldstein
2016-01-22 10:01 Agostino Sarubbo
2016-01-22  9:31 Agostino Sarubbo
2016-01-21 14:16 Ian Delaney
2016-01-12 14:24 Ian Delaney
2016-01-07  2:33 Doug Goldstein
2016-01-06  4:42 Ian Delaney
2016-01-05 14:21 Agostino Sarubbo
2016-01-05 11:23 Agostino Sarubbo
2016-01-05  1:00 Ian Delaney
2015-12-31 14:52 Michał Górny
2015-12-23  2:21 Ian Delaney
2015-12-22  9:01 Agostino Sarubbo
2015-12-17 13:59 Ian Delaney
2015-12-09  7:06 Ian Delaney
2015-12-09  5:31 Ian Delaney
2015-12-09  5:31 Ian Delaney
2015-12-06 20:20 Doug Goldstein
2015-12-04  6:41 Doug Goldstein
2015-12-04  6:29 Doug Goldstein
2015-12-03 13:58 Ian Delaney
2015-12-03 13:13 Ian Delaney
2015-12-01  9:38 Agostino Sarubbo
2015-11-30 16:01 Ian Delaney
2015-11-29  7:57 Ian Delaney
2015-11-25  3:29 Yixun Lan
2015-11-10  8:56 Agostino Sarubbo
2015-11-10  8:50 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1481641751.33d39173496f4f34f3330e617dfe217e43521770.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox